
package test.org.itscool.commons.dao4;

import java.util.List;

// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * 会社クラス
 * @author 加納
 * 作成日 2004/12/23
 */
public class Company2 {
    public static final String ONE_TO_MANY_CLASS_customers=Customer2.class.getName();
    public static final String ONE_TO_MANY_COLUM_customers_id="COMPANY_ID";
    
    /* 属性定義 */
    private int id;
    private String name;
    private List customers;
    
    /**
     * ID値を取得します
     * @return idを返します
     */
    public int getId(){
        return id;
    }
    
    /**
     * ID値を設定します
     * @return idを設定します
     */
    public void setId( int id ){
        this.id = id;
    }
    
    /**
     * 会社名を取得します
     * @return nameを返します
     */
    public String getName(){
        return name;
    }
    
    /**
     * 会社名を設定します
     * @return nameを設定します
     */
    public void setName( String name ){
        this.name = name;
    }

    public List getCustomers() {
        return customers;
    }

    public void setCustomers(List customers) {
        this.customers = customers;
    }
    
    
}
